Bug 753293 - wireshark should require shadow-utils
Summary: wireshark should require shadow-utils
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: wireshark
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Safranek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 754338 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-11-11 19:45 UTC by nucleo
Modified: 2011-11-21 09:37 UTC (History)
5 users (show)

Fixed In Version: wireshark-1.6.3-2.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-11-19 06:07:42 UTC


Attachments (Terms of Use)

Description nucleo 2011-11-11 19:45:40 UTC
Description of problem:
wireshark uses groupadd in %pre so there is should be added
Requires(pre): shadow-utils

Version-Release number of selected component (if applicable):
wireshark-1.6.3-1.fc16

Additional info:
If wireshark installs before shadow-utils there is error message:

error: %pre(wireshark-1.6.3-1.fc16.i686) scriptlet failed, exit status 127   
error: wireshark-1.6.3-1.fc16.i686: install failed

Comment 2 Fedora Update System 2011-11-14 10:02:54 UTC
wireshark-1.6.3-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/wireshark-1.6.3-2.fc16

Comment 3 Fedora Update System 2011-11-14 22:29:08 UTC
Package wireshark-1.6.3-2.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing wireshark-1.6.3-2.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-15903
then log in and leave karma (feedback).

Comment 4 Chris Lumens 2011-11-16 14:21:13 UTC
*** Bug 754338 has been marked as a duplicate of this bug. ***

Comment 5 Fedora Update System 2011-11-19 06:07:42 UTC
wireshark-1.6.3-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Frantisek Hanzlik 2011-11-19 23:22:16 UTC
(In reply to comment #5)
> wireshark-1.6.3-2.fc16 has been pushed to the Fedora 16 stable repository.  If
> problems still persist, please make note of it in this bug report.

why not to F14 and F15 repos too?

Comment 7 Jan Safranek 2011-11-21 08:40:41 UTC
(In reply to comment #6)
> (In reply to comment #5)
> > wireshark-1.6.3-2.fc16 has been pushed to the Fedora 16 stable repository.  If
> > problems still persist, please make note of it in this bug report.
> 
> why not to F14 and F15 repos too?

Wireshark in F14 and F15 does not use 'groupadd', this was added in F16.

Comment 8 Frantisek Hanzlik 2011-11-21 09:22:34 UTC
(In reply to comment #7)
> (In reply to comment #6)
> > (In reply to comment #5)
> > > wireshark-1.6.3-2.fc16 has been pushed to the Fedora 16 stable repository.  If
> > > problems still persist, please make note of it in this bug report.
> > 
> > why not to F14 and F15 repos too?
> 
> Wireshark in F14 and F15 does not use 'groupadd', this was added in F16.

I haven't in mind issues with this simple preinstall script, I ask why wireshark is not actualized in F14/F15 repos too, as there are way old versions (v1.4.10) and both F14/F15 are supported.

Comment 9 Jan Safranek 2011-11-21 09:37:51 UTC
(In reply to comment #8)
> I haven't in mind issues with this simple preinstall script, I ask why
> wireshark is not actualized in F14/F15 repos too, as there are way old versions
> (v1.4.10) and both F14/F15 are supported.

F14/15 *are* supported, I've updated them to 1.4.10 recently. However, I don't do rebases (to 1.6.x) there to keep stability of the distro.


Note You need to log in before you can comment on or make changes to this bug.